Bug 1828406 (CVE-2020-11022)

Summary: CVE-2020-11022 jquery: Cross-site scripting due to improper injQuery.htmlPrefilter method
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aboyko, agerstmayr, aileenc, akarol, alegrand, anpicker, aos-bugs, apevec, ascheel, bbuckingham, bcourt, bkearney, bmontgom, bpeterse, btarraso, btotty, cbuissar, cfeist, chazlett, cluster-maint, cmeyers, dbecker, dblechte, dfediuck, dmetzger, drieden, eedri, eparis, erooth, extras-orphan, frenaud, ganandan, gblomqui, ggaughan, gmainwar, gmalinko, gmccullo, gtanzill, hhorak, hhudgeon, hvyas, idevat, janstey, jburrell, jfearn, jfrey, jhardy, jjoyce, jkurik, jochrist, jokerman, jorton, jpallich, jschluet, jsmith.fedora, jwon, kakkoyun, kbasil, kconner, krathod, lcosic, lewk, lhh, lpeer, lzap, mabashia, maschmid, mburns, mcooper, mcressma, mgoldboi, mgoodwin, michal.skrivanek, mlisik, mloibl, mmccune, mpitt, mpospisi, mrunge, nathans, nmoumoul, nobody, nodejs-sig, notting, nstielau, obarenbo, omachace, omular, openstack-sig, patrickm, pcp-maint, pdrozd, peter, pjindal, pkrupa, puebele, puiterwijk, python-maint, qguo, rcernich, rchan, rcritten, rhcs-maint, rhos-maint, rjerrido, roliveri, rpetrell, ruby-maint, rulong, sbonazzo, sclewis, security-response-team, sgratch, shawn, sherold, simaishi, slavek.kabrda, slinaber, smallamp, smcdonal, sokeeffe, sponnaga, sthorger, stickster, strzibny, surbania, tbrisker, tcullum, tlestach, tojeline, tross, tscherf, twoerner, vbellur, vondruch, yturgema
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jquery-3.5.0 Doc Type: If docs needed, set a value
Doc Text:
A Cross-site scripting (XSS) vulnerability exists in JQuery. This flaw allows an attacker with the ability to supply input to the ‘HTML’ function to inject Javascript into the page where that input is rendered, and have it delivered by the browser.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-28 17:20:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1828407, 1828410, 1828411, 1828412, 1828418, 1828426, 1832874, 1834665, 1882770, 1889820, 1895092, 1828408, 1828413, 1828414, 1828415, 1828416, 1828417, 1828419, 1828420, 1828421, 1828422, 1828423, 1828424, 1828425, 1828635, 1828636, 1828878, 1831351, 1831352, 1831856, 1831857, 1831858, 1831859, 1832873, 1832875, 1832877, 1845761, 1851251, 1851252, 1851253, 1869615, 1882717, 1888389    
Bug Blocks: 1828409, 1870832    

Comment 1 Pedro Sampaio 2020-04-27 17:03:52 UTC
Created drupal7 tracking bugs for this issue:

Affects: epel-all [bug 1828417]
Affects: fedora-all [bug 1828416]


Created js-jquery tracking bugs for this issue:

Affects: epel-7 [bug 1828410]
Affects: fedora-all [bug 1828419]


Created js-jquery1 tracking bugs for this issue:

Affects: epel-7 [bug 1828407]
Affects: fedora-all [bug 1828414]


Created js-jquery2 tracking bugs for this issue:

Affects: fedora-all [bug 1828420]


Created python-XStatic-jQuery tracking bugs for this issue:

Affects: epel-7 [bug 1828411]
Affects: fedora-all [bug 1828422]
Affects: openstack-rdo [bug 1828413]


Created python-XStatic-jquery-ui tracking bugs for this issue:

Affects: epel-7 [bug 1828408]
Affects: fedora-all [bug 1828421]
Affects: openstack-rdo [bug 1828415]


Created python-tw-jquery tracking bugs for this issue:

Affects: epel-6 [bug 1828418]


Created python-tw2-jquery tracking bugs for this issue:

Affects: epel-6 [bug 1828426]
Affects: epel-7 [bug 1828412]
Affects: fedora-all [bug 1828424]


Created rubygem-jquery-rails tracking bugs for this issue:

Affects: fedora-all [bug 1828423]


Created rubygem-jquery-ui-rails tracking bugs for this issue:

Affects: fedora-all [bug 1828425]

Comment 8 Mark Cooper 2020-04-28 22:44:10 UTC
OpenShift ServiceMesh packages an affected version of jQuery (v3.4.1) in the kiali and servicemesh-grafana components.

Comment 9 Mark Cooper 2020-04-29 22:56:51 UTC
External References:

https://github.com/advisories/GHSA-gxr4-xjj5-5px2

Comment 16 Todd Cullum 2020-05-06 20:26:22 UTC
Red Hat Enterprise Linux 7's ipa, publican, and python-coverage packages ship versions of jquery which are affected by this flaw. Red Hat Enterprise Linux 8's idm:DL1 stream has ipa which ships an affected version of jquery. Red Hat Software Collections python27-python-coverage and python27-python-werkzeug are also affected.

Comment 21 errata-xmlrpc 2020-05-28 11:34:28 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:2217 https://access.redhat.com/errata/RHSA-2020:2217

Comment 22 Product Security DevOps Team 2020-05-28 17:20:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11022

Comment 23 errata-xmlrpc 2020-06-02 15:36:22 UTC
This issue has been addressed in the following products:

  Openshift Service Mesh 1.0
  OpenShift Service Mesh 1.0

Via RHSA-2020:2362 https://access.redhat.com/errata/RHSA-2020:2362

Comment 33 errata-xmlrpc 2020-07-02 13:21:45 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.1

Via RHSA-2020:2813 https://access.redhat.com/errata/RHSA-2020:2813

Comment 34 errata-xmlrpc 2020-07-13 17:23:14 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.5

Via RHSA-2020:2412 https://access.redhat.com/errata/RHSA-2020:2412

Comment 35 errata-xmlrpc 2020-08-04 13:15:58 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4

Via RHSA-2020:3247 https://access.redhat.com/errata/RHSA-2020:3247

Comment 37 Yadnyawalk Tale 2020-08-18 16:58:12 UTC
Statement:

No supported release of Red Hat OpenStack Platform is affected by this vulnerability as no shipped packages contain the vulnerable code.

Comment 38 Yadnyawalk Tale 2020-08-18 17:03:36 UTC
Comment #4, Comment #5 are outdated and made earlier before advisory update of 30 may, please ignore those.

Sat5 is OOSS now, in Sat6 we are not shipping jquery, marking not-affected. [However many gems bundle those as part of asset, doc, etc. Raising tracker (bug 1869802) for engineering to take a look at that.. in case we can do anything about them].

Comment 40 errata-xmlrpc 2020-09-23 16:10:50 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4

Via RHSA-2020:3807 https://access.redhat.com/errata/RHSA-2020:3807

Comment 45 errata-xmlrpc 2020-09-29 19:57:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3936 https://access.redhat.com/errata/RHSA-2020:3936

Comment 47 errata-xmlrpc 2020-10-08 06:59:57 UTC
This issue has been addressed in the following products:

  A-MQ Interconnect 1.y for RHEL 7
  A-MQ Interconnect 1.y for RHEL 6
  A-MQ Interconnect 1.y for RHEL 8

Via RHSA-2020:4211 https://access.redhat.com/errata/RHSA-2020:4211

Comment 50 Petr Matousek 2020-10-15 07:55:54 UTC
*** Bug 1888540 has been marked as a duplicate of this bug. ***

Comment 52 errata-xmlrpc 2020-10-27 16:23:58 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.6

Via RHSA-2020:4298 https://access.redhat.com/errata/RHSA-2020:4298

Comment 53 errata-xmlrpc 2020-11-04 02:50:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4670 https://access.redhat.com/errata/RHSA-2020:4670

Comment 54 errata-xmlrpc 2020-11-04 03:14:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4847 https://access.redhat.com/errata/RHSA-2020:4847